#ifndef _SMSH_
#define _SMSH_

#include "sensors.h"

// CTRLZ needed for finishing SMS
#define CTRLZ (0x1A)

// SMS_MAX   defines the maximum number of SMS the msp can send after reboot
// SMS_PAUSE defines the minimum time in seconds that have to pass before another 
//           SMS can be sent
#define SMS_MAX 2
#define SMS_PAUSE 15

// internal loopmax for waiting for an reply from the mobile
#define SMS_WAITFOROK 200000


void sendSMS(char* nr, char* txt);
void sendSMSEvent(char* nr, struct sensorDataRecord* event);
unsigned char prepareSendSMS(char* nr);
unsigned char initMobile(void);
void finishSMS(void);

#endif
