#ifndef _COMMONH_
#define _COMMONH_


void beepOn(void);
void beepOff(void);

// red led
void redOn(void);
void redOff(void);
void redToggle(void);

// green led
void greenOn(void);
void greenOff(void);
void greenToggle(void);

// yellow led
void yellowOn(void);
void yellowOff(void);
void yellowToggle(void);

void wait(unsigned long int w);
void beep(unsigned int j);
void alarmbeep(unsigned long int space, unsigned int times);

unsigned char random(unsigned char n);

extern char floatbuf[11];
extern char intbuf[8];
extern char longintbuf[10];

void setFloat(float f);
int setUnsignedInt(unsigned int hex);
int setUnsignedLongInt(unsigned long int hex);
int writeUnsignedInt(unsigned int hex, char* c);

void fromHexToByte(unsigned char* cs, unsigned char* b);
void fromByteToHex(unsigned char* b, unsigned char* cs);

unsigned int writeUnsignedIntFixed(unsigned int value, char* c, unsigned int num);
unsigned int writeUnsignedLongIntFixed(unsigned long int value, char* c, unsigned int num);

unsigned int readUnsignedInt(char* c, unsigned int num);
unsigned long int readUnsignedLongInt(char* c, unsigned int num);

#endif

